Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Novinky: Děkujeme všem návštěvníkům fóra, kteří ochotně radí ostatním. Vaše práce je velmi potřebná a vážíme si jí.

Autor Téma: Klotski - alternativy  (Přečteno 1039 krát)

martyj

  • Závislák
  • ****
  • Příspěvků: 2273
  • Karma: +165/-22
  • Don't buy a new PC, download a better one !
    • Zobrazit profil
Klotski - alternativy
« kdy: 14 Červen 2016, 06:19:57 »
Ahoj nevíte nějakou podobnou hru Klotski ?

Nainstaloval jsem verzi pro Ubuntu, ale má to strašně málo levelů. V té prastaré verzi pro Win 3.1 jich tam bylo mraky.

Díky za návrhy.
ASUS K50-IJ/Pentium Dual-Core CPU T4500@2.30GHz/RAM 4 GB/Intel GMA 4500M/Ubuntu 14.04 LTS (64-bit) - GNOME Flashback/puppy

Martin Šácha

  • Člen občanského sdružení Ubuntu ČR a placené komunitní podpory
  • Administrátor fóra
  • Guru
  • ******
  • Příspěvků: 5144
  • Karma: +302/-77
    • Zobrazit profil
Re:Klotski - alternativy
« Odpověď #1 kdy: 14 Červen 2016, 07:14:38 »
No a nejdou z te widli varianty proste prekopirovat?
Mint 17 MATE 64bit / DuckDuckGo.com
Programátoři považují WYSIWYG za špatné u kódu i u žen. Programátor chce "dostat to, co žádá“ – kód tajemný, neodpouštějící, nebezpečný.

martyj

  • Závislák
  • ****
  • Příspěvků: 2273
  • Karma: +165/-22
  • Don't buy a new PC, download a better one !
    • Zobrazit profil
Re:Klotski - alternativy
« Odpověď #2 kdy: 14 Červen 2016, 07:42:52 »
Hm, asi jo. Tady už někdo nápad měl : http://www.freehackers.org/Klotski

Bohužel instalace se mi nespustí.

Kód: [Vybrat]
/Stažené/Klotski$ make install
cd src && python have_pyqt.py
Can not import Qt!

You must have PyQt installed to run klotski.
Download PyQt from The Kompany home page:
http://www.thekompany.com/projects/pykde/download.php3
and follow installation instructions carefully.

Windows users :
Edit klotski.bat if klotski doesn't work even if you have instlled PyQt.


Press enter

make: *** [test] Error 255

Python mám 2.7.6
QT 5.3
PyQt 5


edit : Z návodu :

Kód: [Vybrat]
Klotski installation instructions


Klotski requires Python, Qt (v2.2) and PyQt (v2.1) to run.


UNIX users:
===========

- Qt:
The Qt from Kde 2 is ok. Else, you can download from here:
http://www.trolltech.com

- Python:
I tested klotski with python 1.5.2 . I guess it works with other versions of the
python interpreter.

- PyQt:
You'll need PyQt v2.1 or higher to make Klotski run (v2.0 doesn't work). You
can download it from http://www.thekompany.com/projects/pykde/download.php3 .
But because it takes hours to compile, I'll try to provide a shared library
compiled for x86, which should work in most of the cases.

- Normal installation:
To install klotski, just type 'make install'.
Then type 'klotski' to run klotski.

You can change the default installation location of klotski (/usr/local/... )
by editing the Makefile and changing the prefix variable.

Je tu někdo přes Python ? Programování jde přeze mě a netuším, jak to rozběhat.
« Poslední změna: 14 Červen 2016, 09:39:20 od martyj »
ASUS K50-IJ/Pentium Dual-Core CPU T4500@2.30GHz/RAM 4 GB/Intel GMA 4500M/Ubuntu 14.04 LTS (64-bit) - GNOME Flashback/puppy